Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.views.framelist
Class TreeViewerFrameSource

    java.lang.Object
      org.eclipse.ui.views.framelist.TreeViewerFrameSource

All Implemented Interfaces:
  IFrameSource

Direct Known Subclasses:
  NavigatorFrameSource

public class TreeViewerFrameSource
extends Object
implements IFrameSource

Frame source for tree viewers, which uses `TreeFrame` to capture the state of the tree viewer.

See Also:
  `TreeFrame`

Field Summary

Fields inherited from interface org.eclipse.ui.views.framelist.IFrameSource
`CURRENT_FRAME, FULL_CONTEXT, PARENT_FRAME, SELECTION_FRAME`

Constructor Summary
`TreeViewerFrameSource(AbstractTreeViewer viewer)` Constructs a new tree viewer frame source for the specified tree viewer.

Method Summary
`void` | `connectTo(FrameList frameList)` Connects this source as a listener on the frame list, so that when the current frame changes, the viewer is updated.
`protected TreeFrame` | `createFrame(Object input)` Returns a new tree frame capturing the specified input element.
`protected void` | `frameChanged(TreeFrame frame)` Updates the viewer in response to the current frame changing.
`protected Frame` | `getCurrentFrame(int flags)` Returns the current frame.
`Frame` | `getFrame(int whichFrame, int flags)` Returns a new frame describing the state of the source.
`protected Frame` | `getParentFrame(int flags)` Returns the parent frame, or `null` if there is no parent frame.
`protected Frame` | `getSelectionFrame(int flags)` Returns the frame for the selection, or `null` if there is no frame for the selection.
`AbstractTreeViewer` | `getViewer()` Returns the tree viewer.
`protected void` | `handlePropertyChange(PropertyChangeEvent event)` Handles a property change event from the frame list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeViewerFrameSource

    public TreeViewerFrameSource(AbstractTreeViewer viewer)

  Constructs a new tree viewer frame source for the specified tree viewer.

Parameters:
  `viewer` - the tree viewer

Method Detail

### connectTo

    public void connectTo(FrameList frameList)

  Connects this source as a listener on the frame list, so that when the current frame changes, the viewer is updated.

### createFrame

    protected TreeFrame createFrame(Object input)

  Returns a new tree frame capturing the specified input element.

  Parameters:
    `input` - the input element
  Returns:
    the tree frame

### frameChanged

    protected void frameChanged(TreeFrame frame)

  Updates the viewer in response to the current frame changing.

  Parameters:
    `frame` - the new value for the current frame

### getCurrentFrame

    protected Frame getCurrentFrame(int flags)

  Returns the current frame.

  Parameters:
    `flags` - a bit-wise OR of the frame source flag constants
  Returns:
    the current frame

### getFrame

    public Frame getFrame(int whichFrame,
                          int flags)

  Description copied from interface: `IFrameSource`
  Returns a new frame describing the state of the source. If the `FULL_CONTEXT` flag is specified, then the full context of the source should be captured by the frame. Otherwise, only the visible aspects of the frame, such as the name and tool tip text, will be used.

  Specified by:
    `getFrame` in interface `IFrameSource`
  Parameters:
    `whichFrame` - one of the frame constants defined in this interface
    `flags` - a bit-wise OR of the flag constants defined in this interface
  Returns:
    a new frame describing the current state of the source

### getParentFrame

    protected Frame getParentFrame(int flags)

  Returns the parent frame, or `null` if there is no parent frame.

  Parameters:
    `flags` - a bit-wise OR of the frame source flag constants
  Returns:
    the parent frame, or `null`

### getSelectionFrame

    protected Frame getSelectionFrame(int flags)

  Returns the frame for the selection, or `null` if there is no frame for the selection.

  Parameters:
    `flags` - a bit-wise OR of the frame source flag constants
  Returns:
    the selection frame, or `null`

### getViewer

    public AbstractTreeViewer getViewer()

  Returns the tree viewer.

  Returns:
    the tree viewer

### handlePropertyChange

    protected void handlePropertyChange(PropertyChangeEvent event)

  Handles a property change event from the frame list. Calls `frameChanged` when the current frame changes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.